Bug 566455 - sed needs to support -c/--copy option
Summary: sed needs to support -c/--copy option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sed
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 566457
TreeView+ depends on / blocked
 
Reported: 2010-02-18 14:24 UTC by Mike Burns
Modified: 2015-02-01 22:51 UTC (History)
4 users (show)

Fixed In Version: sed-4.2.1-5.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 566457 (view as bug list)
Environment:
Last Closed: 2010-03-25 22:30:41 UTC
Type: ---


Attachments (Terms of Use)
patch against sed 4.2.1 (7.08 KB, patch)
2010-02-18 16:29 UTC, Paolo Bonzini
no flags Details | Diff

Description Mike Burns 2010-02-18 14:24:09 UTC
Description of problem:
sed on bind-mounted files fails in rename step.  In previous versions this was fixed by using -c/--copy functionality which appears to have been removed in 4.2.1-4.

Bind mounts are used in stateless systems for persistent data.  

Version-Release number of selected component (if applicable):
4.2.1-4

How reproducible:
Always

Steps to Reproduce:
1. touch file1 file2
2. mount --bind file1 file2
3. echo "test" > file1
4. sed -i "s/test/fail/g" file2
  
Actual results:
sed: cannot rename ./sedfnZpvY: Device or resource busy


Expected results:
sed script completes. 

Additional info:
As of 4.2.1-4, the -c/--copy options did not exist at all.  Using them resulted in the printing of the help message.  Using 4.2.1-5 from koji reintroduced the -c/--copy option support, but the above sed command still fails.

Comment 1 Paolo Bonzini 2010-02-18 16:29:20 UTC
Created attachment 394943 [details]
patch against sed 4.2.1

Comment 2 Mike Burns 2010-03-10 17:35:17 UTC
Any chance of this getting into Fedora 12 sometime in the near future?

Comment 3 Fedora Update System 2010-03-22 13:24:29 UTC
sed-4.2.1-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sed-4.2.1-5.fc13

Comment 4 Fedora Update System 2010-03-22 13:25:34 UTC
sed-4.2.1-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sed-4.2.1-5.fc12

Comment 5 Fedora Update System 2010-03-23 23:18:27 UTC
sed-4.2.1-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sed'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sed-4.2.1-5.fc13

Comment 6 Fedora Update System 2010-03-25 22:30:32 UTC
sed-4.2.1-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-03-27 01:00:00 UTC
sed-4.2.1-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.